package com.gic.haoban.manage.api.qdto;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class OpenStaffPageQDTO implements Serializable {

    private String wxEnterpriseId ;
    private String enterpriseId ;
    /**
     * 1授权中 2已过期 3待验证 4待授权 0全部
     */
    private int status ;
    /**
     * 导购
     */
    private String clerkId ;
    /**
     * 成员
     */
    private String staffParams ;
    /**
     * 门店分组
     */
    private List<String> storeGroupIdList ;
    /**
     * 开始日期
     */
    private Date startDate ;
    /**
     * 结束日期
     */
    private Date endDate ;

    private List<String> staffIds ;

    public List<String> getStaffIds() {
        return staffIds;
    }

    public void setStaffIds(List<String> staffIds) {
        this.staffIds = staffIds;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getStaffParams() {
        return staffParams;
    }

    public void setStaffParams(String staffParams) {
        this.staffParams = staffParams;
    }

    public List<String> getStoreGroupIdList() {
        return storeGroupIdList;
    }

    public void setStoreGroupIdList(List<String> storeGroupIdList) {
        this.storeGroupIdList = storeGroupIdList;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }
}
